RosstandartObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.rosstandart

## Interface RosstandartObjectIdentifiers

-     public interface RosstandartObjectIdentifiers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `id_tc26`
    `static ASN1ObjectIdentifier` | `id_tc26_agreement`
    `static ASN1ObjectIdentifier` | `id_tc26_agreement_gost_3410_12_256`
    `static ASN1ObjectIdentifier` | `id_tc26_agreement_gost_3410_12_512`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_28147_param_Z`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256_paramSet`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256_paramSetA`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256_paramSetB`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256_paramSetC`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_256_paramSetD`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_512`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_512_paramSet`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_512_paramSetA`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_512_paramSetB`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3410_12_512_paramSetC`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3411_12_256`
    `static ASN1ObjectIdentifier` | `id_tc26_gost_3411_12_512`
    `static ASN1ObjectIdentifier` | `id_tc26_hmac_gost_3411_12_256`
    `static ASN1ObjectIdentifier` | `id_tc26_hmac_gost_3411_12_512`
    `static ASN1ObjectIdentifier` | `id_tc26_signwithdigest_gost_3410_12_256`
    `static ASN1ObjectIdentifier` | `id_tc26_signwithdigest_gost_3410_12_512`
    `static ASN1ObjectIdentifier` | `rosstandart`

- - ### Field Detail

    - #### rosstandart

          static final ASN1ObjectIdentifier rosstandart

    - #### id_tc26

          static final ASN1ObjectIdentifier id_tc26

    - #### id_tc26_gost_3411_12_256

          static final ASN1ObjectIdentifier id_tc26_gost_3411_12_256

    - #### id_tc26_gost_3411_12_512

          static final ASN1ObjectIdentifier id_tc26_gost_3411_12_512

    - #### id_tc26_hmac_gost_3411_12_256

          static final ASN1ObjectIdentifier id_tc26_hmac_gost_3411_12_256

    - #### id_tc26_hmac_gost_3411_12_512

          static final ASN1ObjectIdentifier id_tc26_hmac_gost_3411_12_512

    - #### id_tc26_gost_3410_12_256

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256

    - #### id_tc26_gost_3410_12_512

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_512

    - #### id_tc26_signwithdigest_gost_3410_12_256

          static final ASN1ObjectIdentifier id_tc26_signwithdigest_gost_3410_12_256

    - #### id_tc26_signwithdigest_gost_3410_12_512

          static final ASN1ObjectIdentifier id_tc26_signwithdigest_gost_3410_12_512

    - #### id_tc26_agreement

          static final ASN1ObjectIdentifier id_tc26_agreement

    - #### id_tc26_agreement_gost_3410_12_256

          static final ASN1ObjectIdentifier id_tc26_agreement_gost_3410_12_256

    - #### id_tc26_agreement_gost_3410_12_512

          static final ASN1ObjectIdentifier id_tc26_agreement_gost_3410_12_512

    - #### id_tc26_gost_3410_12_256_paramSet

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256_paramSet

    - #### id_tc26_gost_3410_12_256_paramSetA

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256_paramSetA

    - #### id_tc26_gost_3410_12_256_paramSetB

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256_paramSetB

    - #### id_tc26_gost_3410_12_256_paramSetC

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256_paramSetC

    - #### id_tc26_gost_3410_12_256_paramSetD

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_256_paramSetD

    - #### id_tc26_gost_3410_12_512_paramSet

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_512_paramSet

    - #### id_tc26_gost_3410_12_512_paramSetA

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_512_paramSetA

    - #### id_tc26_gost_3410_12_512_paramSetB

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_512_paramSetB

    - #### id_tc26_gost_3410_12_512_paramSetC

          static final ASN1ObjectIdentifier id_tc26_gost_3410_12_512_paramSetC

    - #### id_tc26_gost_28147_param_Z

          static final ASN1ObjectIdentifier id_tc26_gost_28147_param_Z